classification
Title: Disable Py_USING_MEMORY_DEBUGGER!
Type: Stage:
Components: Versions: Python 3.0, Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, loewis, vstinner
Priority: normal Keywords: patch

Created on 2008-09-24 00:29 by vstinner, last changed 2008-09-30 18:20 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
configure-memory-debugger.patch vstinner, 2008-09-24 00:29 Create --with-memory-debugger option
obmalloc-no-debug.patch vstinner, 2008-09-24 00:36 Remove definition of Py_USING_MEMORY_DEBUGGER from obmalloc.c (done by configure using my first patch)
revert.diff loewis, 2008-09-24 18:22
Messages (7)
msg73683 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-09-24 00:29
In rev 56476, martin.v.loewis enabled Py_USING_MEMORY_DEBUGGER by 
default in an huge commit:
   PEP 3123: Provide forward compatibility with Python 3.0, 
   while keeping backwards compatibility. Add Py_Refcnt, 
   Py_Type, Py_Size, and PyVarObject_HEAD_INIT.

I guess that's an error, and that Py_USING_MEMORY_DEBUGGER should be 
disabled by default.

Proposition to avoid such bug in future: create a configure option, 
like --with-memory-debugger. See for example my patch to configure.in 
(you will need to run autoconf && autoheader).
msg73691 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-24 04:35
You are right that this was by mistake; here is a patch to revert that
mistake (revert.diff).

I'm marking the issue release-critical because of thsi patch; the other
patches (for adding a new configure option) clearly can't go into 2.6,
and might need to be deferred to 2.7.
msg73697 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-09-24 09:55
@loewis: your patch (revert.diff) includes a change in configure.in 
about OpenBSD !?
msg73743 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-24 18:22
Sorry about that - let me retry.
msg73756 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-24 22:07
Looks good to me.
msg73769 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-25 04:15
Committed as r66616 and r66617
msg74091 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-09-30 18:20
Close the issue since it's commited in 2.6 and 3.0. My patch 
configure-memory-debugger.patch is useless, a developer can fix 
obmalloc.c.
History
Date User Action Args
2008-09-30 18:20:27vstinnersetstatus: open -> closed
messages: + msg74091
2008-09-25 04:16:00loewissetpriority: release blocker -> normal
assignee: loewis ->
messages: + msg73769
2008-09-24 22:07:52benjamin.petersonsetkeywords: - needs review
nosy: + benjamin.peterson
messages: + msg73756
2008-09-24 18:22:27loewissetfiles: + revert.diff
messages: + msg73743
2008-09-24 18:21:23loewissetfiles: - revert.diff
2008-09-24 09:55:03vstinnersetmessages: + msg73697
2008-09-24 04:35:21loewissetpriority: release blocker
keywords: + needs review
messages: + msg73691
files: + revert.diff
2008-09-24 03:07:21benjamin.petersonsetassignee: loewis
nosy: + loewis
2008-09-24 00:36:28vstinnersetfiles: + obmalloc-no-debug.patch
2008-09-24 00:29:18vstinnercreate